package com.ruoyi.app.model.request;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

public class AddSlaughterRelationBatch {
    private Long supplierId;
    private List<SlaughterRelationBatch> relationArr;
    public void setSupplierId(Long supplierId)
    {
        this.supplierId = supplierId;
    }

    @NotNull(message = "供应商ID不能为空")
    public Long getSupplierId()
    {
        return supplierId;
    }

    public void setRelationArr(List<SlaughterRelationBatch> relationArr)
    {
        this.relationArr = relationArr;
    }

    @NotNull(message = "血码关系不能为空")
    @Valid
    public List<SlaughterRelationBatch> getRelationArr()
    {
        return relationArr;
    }
}
